# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		basetest
Version:	1.3
Release:	alt1_13
Summary:	Simulator Number System
License:	GPLv3+
Group:		Sciences/Mathematics
#https://github.com/Voral/numericsystem/archive/v%{version}.tar.gz
URL:		https://github.com/Voral/numericsystem
Source0:	https://github.com/Voral/numericsystem/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-mga-desktop.patch
Patch1:		%{name}-%{version}-mga-qt5.patch
Patch2:		%{name}-%{version}-mga-translator.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	qt5-translations
Source44: import.info

%description
Simulator Number System.
The program helps to get the skills to transfer numbers between different
number systems (use of systems with a base of 2 to 36).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
cd src
%qmake_qt5
%make_build

%install
install -dm 755 %{buildroot}%{_bindir}
install -m 755 ./bin/%{name} %{buildroot}%{_bindir}/

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 ./packages/%{name}/usr/share/pixmaps/%{name}.png %{buildroot}%{_datadir}/pixmaps/

install -dm 755 %{buildroot}%{_datadir}/applications
install -m 644 ./packages/%{name}/usr/share/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.3-alt1_13
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_12
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_11
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_10
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_9
- update by mgaimport

* Thu Apr 05 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_8
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1_7
- new version

